Package: groovy.lang

## [Java] Class Tuple1<T1>

- groovy.lang.Tuple1

-     public final class Tuple1<T1>
      extends Tuple

  Represents a list of 1 typed Object.

  Since:
    2.5.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Tuple1(T1 t1)`
    `Tuple1(Tuple1<T1> tuple)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Tuple1<T1>` | `clone()`
    `` | `public T1` | `getFirst()`
    `` | `public T1` | `getV1()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Tuple` | `clone, compareTo, equals, get, hashCode, size, subList, subTuple, toArray, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

- - ### Constructor Detail

    - #### public Tuple1(T1 t1)

    - #### public Tuple1(Tuple1<T1> tuple)

  - ### Method Detail

    - #### @Override
      public Tuple1<T1> clone()

    - #### @Deprecated
      public T1 getFirst()

    - #### public T1 getV1()